project(QtMqtt)
set(QtMqtt_SRC
${QtMqtt_GEN_DIR}/qmqtt_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttauthenticationproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttclient_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttconnectionproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttlastwillproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttmessage_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttmessagestatusproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttpublishproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttserverconnectionproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttstringpair_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttsubscription_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttsubscriptionproperties_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqtttopicfilter_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqtttopicname_wrapper.cpp
${QtMqtt_GEN_DIR}/qmqttunsubscriptionproperties_wrapper.cpp
# module is always needed
${QtMqtt_GEN_DIR}/qtmqtt_module_wrapper.cpp
)
set(QtMqtt_include_dirs ${QtMqtt_SOURCE_DIR}
                        ${QtMqtt_BINARY_DIR}
                        ${Qt${QT_MAJOR_VERSION}Mqtt_INCLUDE_DIRS}
                        ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                        ${Qt${QT_MAJOR_VERSION}Network_INCLUDE_DIRS}
                        ${QtCore_GEN_DIR}
                        ${QtNetwork_GEN_DIR}
                        ${libpyside_SOURCE_DIR})
set(QtMqtt_libraries pyside6
                        ${Qt${QT_MAJOR_VERSION}Mqtt_LIBRARIES}
                        ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES})
set(QtMqtt_deps QtCore QtNetwork)
create_pyside_module(NAME QtMqtt
                     INCLUDE_DIRS QtMqtt_include_dirs
                     LIBRARIES QtMqtt_libraries
                     DEPS QtMqtt_deps
                     TYPESYSTEM_PATH QtMqtt_SOURCE_DIR
                     SOURCES QtMqtt_SRC)
